Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197176 - libcom_err-devel in RHEL6.7 does not provide /usr/include/com_err.h
Summary: libcom_err-devel in RHEL6.7 does not provide /usr/include/com_err.h
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: e2fsprogs
Version: 6.7
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On: 1170272
Blocks: 1168357
TreeView+ depends on / blocked
 
Reported: 2015-02-27 16:31 UTC by Roland Mainz
Modified: 2015-09-07 05:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 00:43:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roland Mainz 2015-02-27 16:31:55 UTC
Description of problem:
libcom_err-devel in RHEL6.7 does not provide /usr/include/com_err.h which causes trouble for various applications (including sssd)

Steps to reproduce (after bug #1170272 ("[RFE] Add LocalAuth plugin API") lands):
Try to compile this testcase...
-- snip --
#include <krb5/krb5.h>
#include <krb5/localauth_plugin.h>
int main(int ac, char *av[]) { return 0; }
-- snip --
... it will fail with:
-- snip --
/usr/include/kadm5/admin.h:48:28: error: com_err.h: No such file or directory
-- snip --

The same will happen with the sssd build in RHEL6.7:
-- snip --
configure:21977: checking for krb5/localauth_plugin.h
configure:22003: gcc -c -O0 -ggdb -pipe -Wall -Wextra -Wshadow -Wformat -Wformat-security -Werror=unused-function -Wunused-variable -Wno-unused-parameter -Wno-sign-compare -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE   conftest.c >&5
In file included from /usr/include/krb5/localauth_plugin.h:65,
                 from conftest.c:126:
/usr/include/kadm5/admin.h:48:28: error: com_err.h: No such file or directory
-- snip --

Suggested fix:
Backport newest libcom_err package version to RHEL6.7

Comment 1 Eric Sandeen 2015-02-28 00:43:41 UTC
COM_ERR(3)                                                          COM_ERR(3)

NAME
       com_err - common error display routine

SYNOPSIS
        #include <et/com_err.h>



# rpm -qpl libcom_err-devel-1.41.12-21.el6.x86_64.rpm | grep include
/usr/include/et
/usr/include/et/com_err.h

Somebody is including the wrong header file path, but that's not an e2fsprogs bug.

Comment 2 Lukas Slebodnik 2015-02-28 10:15:27 UTC
and pkg-config returns correct location of header files.

bash-4.1# pkg-config --cflags com_err
-I/usr/include/et  

bash-4.1# rpm -q libcom_err-devel
libcom_err-devel-1.41.12-21.el6.x86_64

Comment 3 Jakub Hrozek 2015-03-02 08:40:37 UTC
I think the biggest question is why does krb5 need the header at all? It's not required in el7..


Note You need to log in before you can comment on or make changes to this bug.